Skip to main content

Remove Tags from Contact

Remove one or more tags from an existing contact. Tags not currently on the contact are silently ignored.


Endpoint​

POST https://api.campaignlark.com/v1/contacts/:id/tags/remove

Path Parameters​

ParameterTypeRequiredDescription
idstringrequiredThe contact ID.

Request Body​

FieldTypeRequiredDescription
tag_idsarray of integersrequiredTag IDs to remove from the contact. Must contain at least one ID. All IDs must exist in the workspace.

Sample Request​

POST https://api.campaignlark.com/v1/contacts/64f1a2b3c4d5e6f7a8b9c0d1/tags/remove
Content-Type: application/json

{
"tag_ids": [3, 5]
}

Response​

Success — 200 OK​

Returns the full updated contact object.


Automation Behaviour​

Fires TAG_REMOVED automations for any tags that were actually removed from the contact.


Errors​

StatusMessageCause
400The contact ID you provided is not valid.id path param is missing.
400Please provide at least one tag ID to add or remove.tag_ids is empty.
400Tag ID <id> does not exist in this workspaceA provided tag ID is invalid.